Name:           tcar
Version:        0.11
Release:        1%{?dist}
Summary:        The CentOS artwork repository automation scripts

Group:          Development/Tools
Vendor:         The CentOS Artwork SIG
License:        GPLv2
URL:            http://wiki.centos.org/ArtWork/Repository
Source0:        http://wiki.centos.org/ArtWork/Repository/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  gettext, tcar, tcar-scripts

Requires:       inkscape, ImageMagick, netpbm-progs, syslinux-perl
Requires:       git, rpmdevtools
Requires:       gnome-icon-theme

Requires:       %{name}-models = %{version}
Requires:       %{name}-scripts = %{version}

%package scripts
Summary:        The CentOS artwork automation scripts library

%package models
Summary:        The CentOS artwork design models
Requires:       %{name}-models-branding = %{version}
Requires:       %{name}-models-distribution = %{version}
Requires:       %{name}-models-documentation = %{version}
Requires:       %{name}-models-marketing = %{version}
Requires:       %{name}-models-webenv = %{version}

%package models-branding
Summary:        The CentOS branding models

%package models-distribution
Summary:        The CentOS distribution models

%package models-documentation
Summary:        The CentOS documentation models

%package models-marketing
Summary:        The CentOS marketing models

%package models-webenv
Summary:        The CentOS web environment models

%description
This package provides design models, translation files, documentation,
brushes, palettes, patterns, gradients, and automation scripts useful
to produce the CentOS Project visual identity. The content of this
package is conceived to implement a monolithic visual identity
structure, where all visual manifestations use one unique name (the
CentOS brand) and one unique visual style (the CentOS motif) that is
arbitrary assigned so it is possible to achieve one fresh visual
identity with each new major release of CentOS GNU/Linux Distribution.

Install this package if you want to produce artworks for CentOS
Project using your own artistic motif.

%description scripts
This package provides shell functions to let you write localized shell
scripts with modular structures, as well as parsing simple
configuration files, printing formatted messages and verifying files
in several ways.

Install this package if you want using the CentOS artwork automation
scripts.

%description models
This package provides SVG, PO, and configuration files needed by
automations scripts to produce the CentOS Project visual identity
consistently. This package provides the building patterns your
artistic motifs need to use in order to satisfy the CentOS Project
visual manifestation needs.

Install this package if you want to render images using the CentOS
Project visual identity and your own artistic motif.

%description models-branding
This package provides SVG and configuration files needed by automation
scripts to produce the CentOS brand in different colors, formats, and
sizes.

Install this package if you want render images with the CentOS brand
stamped on them.

%description models-distribution
This package provides files needed by automation scripts to render the
CentOS distribution artwork-related final RPM packages with your
artistic motifs in them. Some of the files this package provides
include ready to build versions of "centos-logos" and
"centos-indexhtml" packages.

Install this package if you want to contribute artwork-related
packages to CentOS Project.

%description models-documentation
This package provides CSS and XSL files needed by automation scripts
to build the CentOS documentation from asciidoc files to different
output formats, including XHTML, PDF, and man pages.

Install this package if you want to write documentation using the
CentOS Project visual identity.

%description models-marketing
This package provides SVG and configuration files needed by automation
scripts to render marketing illustrations. These illustrations
describe where the CentOS brand is applied on different industrial
articles like caps, pullovers, installation media, posters and stands.

Install this package if you want to distribute promotion using the
CentOS Project visual identity.

%description models-webenv
This package provides SVG and configuration files needed by automation
scripts to render icons and backgrounds images used on CentOS
websites.

Install this package if you are designing CentOS websites.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
make install \
    VENDOR="%{vendor}" \
    NAME=%{name} \
    VERSION=%{version} \
    DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}
%find_lang %{name}lib

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_mandir}/man1/%{name}.1.gz
%{_mandir}/man1/%{name}-hello.1.gz
%{_mandir}/man1/%{name}-render.1.gz
%{_mandir}/man1/%{name}-locale.1.gz
%{_mandir}/man1/%{name}-prepare.1.gz
%{_mandir}/man1/%{name}-tuneup.1.gz
%config(noreplace) %{_sysconfdir}/%{name}/%{name}*.conf
%{_datadir}/%{name}/Scripts
%{_bindir}/%{name}

%files scripts -f %{name}lib.lang
%defattr(-,root,root,-)
%{_mandir}/man5/%{name}-modules.5.gz
%{_mandir}/man5/%{name}-markers.5.gz
%{_mandir}/man5/%{name}-config.5.gz
%{_datadir}/%{name}lib

%files models
%{_datadir}/%{name}/Models

%files models-branding
%defattr(-,root,root,-)
%{_datadir}/%{name}/Models/Branding

%files models-distribution
%defattr(-,root,root,-)
%{_datadir}/%{name}/Models/Distribution

%files models-documentation
%defattr(-,root,root,-)
%{_datadir}/%{name}/Models/Documentation

%files models-marketing
%defattr(-,root,root,-)
%{_datadir}/%{name}/Models/Marketing

%files models-webenv
%defattr(-,root,root,-)
%{_datadir}/%{name}/Models/Webenv


%changelog
* Tue Sep 2 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.11-1
- Relocate svg and palette modules into image module.
- Update documentation manuals with automation scripts' current implementation.
- Separate convention manuals from user commands manuals.
- Update es_ES translation messages for automation scripts
- Update tcar-render to support several media types
- Update installation media design models.
- Update webenv design models and configuration
- Merge media-number into media-type configuration option
- Remove asciidoc extension from final manpages
- Fix working directory preparation to process templates with different file names.
- Fix background image extraction from SVG files
- Fix e-mail and URL localization when content is rendered
- Fix regex pattern to match configuration files
- Fix ability of processing directories when a dot is provided as argument.
- Fix ability of processing different workplaces
- Fix the following issues:
  - Automation scripts don't remove final output at demand (#31)
  - Automation scripts don't edit translation files (#32)
  - Automation scripts don't locale multiple files in one configuration section (#33)
  - Install media design models don't use Vegur font (#34)
  - Move documentation from repository to wiki (#36)
  - Extended rendition doesn't brand final images (#38)
  - Automation scripts don't verify arguments before processing them (#43)

* Tue Jul 24 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.10-1
- Fix manpage construction for tcar-render.asciidoc
- Fix the following issues:
  - Different scripts cannot use their own domain and e-mail information (#1)
  - Automation scripts don't produce PO files from HTML files (#2)
  - Different scripts cannot reuse common functions (#5)
  - Configuration files cannot manipulate background images in design models (#6)
  - Use design models in plain SVG format only (#7)
  - Automation scripts don't determine background images intelligently (#8)
  - Automation scripts cannot render documentation in PDF format (#9)
  - Design models including CentOS release number aren't using Vegur font (#12)
  - Paths set in marketing configuration files don't match repository paths (#13)
  - Automation scripts don't produce visible admonition headings in PDF format (#15)
  - Copyright data don't match all possible automation scripts (#19)
  - Configuration files don't point to design models in plain SVG format (#20)
  - Automation scripts don't produce documentation (#21)
  - Automation scripts don't produce documentation in PDF format (#22)

* Tue Jun 10 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.40
- Update docbook2fo.xsl to use fop1 extension
- Change message printing in tcar_checkWorkplace
- Change message printing inside modules
- Rename function used to print messages

* Tue Jun 10 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.39
- Update tcar-lists.conf file.
- Update tcarlib_printMail command-line.

* Tue Jun 10 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.38
- Add documentation models to Makefile
- Fix URL regular expression pattern.

* Tue Jun 10 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.37
- Update scripts manuals paths in Makefile.

* Tue Jun 10 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.36
- Retrieve URLs and e-mails from configuration files
- Move copyright data from library to scripts
- Add SCRIPT_CONFIGS_BASEDIR environment variable
- Update configuration paths in Makefile
- Reorganize scripts directory structure
- Rename scripts library directory
- Update tcar-locale to produce PO files from XHTML
- Update scripts manpages configuration file
- Update asciidoc documents rendition
- Fix color of admonition titles in PDF output
- Update man page of tcar command
- Update man page of tcar-tuneup command
- Update man page of tcar-render command
- Update man page of tcar-prepare command
- Update man page of tcar-locale command
- Update man page of tcar-hello command
- Fix paths in cd-labels configuration file
- Add tcar-logo.svg to brands design models.
- Fix commentary in directories function

* Sat May 24 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.35
- Update TEXTDOMAIN definition in tcarlib.

* Sat May 24 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.34
- Add scripts localization files to tcar.spec file.
- Add scripts localization files to Makefile.
- Add tcarlib Spanish (es_ES) translation messages.
- Update tcarlib to use its own text domain.
- Add tcarlib_getFileSize function.
- Update configuration file of posters design models.
- Update posters design model.
- Update extended rendition.

* Sun May 18 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.33
- Fix variable name in pack_setBuild function.

* Sun May 18 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.32
- Update tcar-prepare to create the rpmbuild tree.
- Verify packaging directory structure.
- Add git and rpmdevtools as required packages.

* Sun May 18 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.31
- Update tcar-pack command.
- Update tcarlib usage information output.

* Sun May 18 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.30
- Update render_printDescription function to be more specific.
- Update tcarlib usage information output to correct left margin.
- Fix variable name in pack_setBuildSource function.

* Sat May 17 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.29
- Set 0644 permissions to tcar.conf file.
- Add tcar-pack command and its configuration file.

* Sat May 17 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.28
- Update comment inside tcar-locale command.
- Update tcar-locale command and documentation.

* Sat May 17 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.27
- Fix redirection in tcarlib_printMessage function.

* Sat May 17 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.26
- Update tcarlib_printMessage function.

* Fri May 16 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.25
- Update tcarlib configuration files.

* Fri May 16 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.24
- Fix dependency in tcarlib_setModuleEnvironment
- Update tcarlib usage information output.

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.23
- Update tcarlib usage information output (print it faster)

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.22
- Update tcarlib usage information output

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.21
- Update tcar-tuneup command-line.
- Update tcar-prepare command-line.
- Update tcar-locale command-line.
- Update tcar-render command-line.

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.20
- Update tcar-hello command and its documentation.

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.19
- Update tcar-hello command

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.18
- Return immediately after printing command description (fix endless loop).

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.17
- Update tcarlib usage information output.
- Fix typo in tcarlib_printUsageScriptModules

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.16
- Escape argument passed to tcarlib_setModuleEnvironment function.

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.15
- Update tcarlib usage information output.
- Update printDescription to remove exit command

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.14
- Update file permissions on tcar parent modules.

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.13
- Fix path to parent modules in tcarlib_getModulenames function.

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.12
- Update documentation related to tcar automation scripts.
- Update tcar command-line (add --description option to parent modules)
- Update usage message printed by tcarlib.

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.11
- Set mode 755 to tcarlib_getModulenamesAsRegexlist.sh

* Thu May 15 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.10
- Add .gitignore file
- Add tcarlib_getModulenamesAsRegexlist function
- Apply tcar-tuneup to brands design models.
- Apply tcar-tuneup to marketing design models.
- Refactor tcar.sh into tcarlib.sh
- Relocate design model related to anaconda icon.
- Relocate indexhtml component inside packages.
- Relocate promotion design models into marketing.
- Relocate tcarlib_getOptions into Tcarlib directory
- Remove _centos from powered_by_centos.svgz
- Remove Fonts directory from tcar.git repository
- Remove icons design models
- Remove distribution's release notes design models (they are online).
- Update cd-labels design models and configuration files.
- Update cd-sleeves design models and configuration files.
- Update centos-indexhtml design models and configuration files.
- Update design models for anaconda rnotes in el7
- Update design models for kde-kdm in el7
- Update design models for redhat-logos-4.9.16-1.el5
- Update directory structure of brands design models
- Update font-family used on brand's release number
- Update format used in webenv design models
- Update posters design models and configuration
- Update redhat-logos-4.9.16-1.el5
- Update render.conf.tpl for anaconda in el5
- Update render.conf.tpl for anaconda rnotes in el7
- Update render.conf.tpl for backgrounds in el7
- Update render.conf.tpl for centos-indexhtml
- Update render.conf.tpl for firstboot in el5
- Update render.conf.tpl for gdm in el5
- Update render.conf.tpl for gnome-splash in el5
- Update render.conf.tpl for kde-splash in el5
- Update render.conf.tpl for kde-splash in el7
- Update render.conf.tpl for kdm in el5
- Update render.conftpl for pixmaps in el7
- Update render.conf.tpl for rhgb in el5
- Update svg optimization in tcar-tuneup command
- Update tcar-locale automation scripts
- Update tcar-render to parse render-back option
- Update tcar-tuneup automation scripts
- Update requirements in tcar.spec
- Update tcar_setTranslationMarkers function

* Thu May 01 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.9
- Fix verification issue at files_setOptionCommand function

* Thu May 01 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.8
- Add design models used to render The CentOS Brand.

* Thu May 01 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.7
- Fix path issue installing the configuration file.

* Thu May 01 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.6
- Add (/etc/tcar.conf) configuration file.

* Thu May 01 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.5
- Add tcar command based on tcar.sh script.

* Thu May 01 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.4
- Set tcar requirements to be dynamically based on the current version.

* Thu May 01 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.3
- Fix translation markers substitution in the final man pages.

* Thu May 01 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.2
- Fix variable substitution issue in tcarlib_printHelp function.

* Thu May 01 2014 Alain Reguera Delgado <alain.reguera@gmail.com> - 0.9.1
- Initial build.
